org.apache.tinkerpop.gremlin.structure.util

## Class Attachable.Method

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.Attachable.Method

- Enclosing interface:
    Attachable<V>

      public static class Attachable.Method
      extends Object

  A collection of general methods of attachment. Note that more efficient methods of attachment might exist if the user knows the source data being attached and the features of the graph that the data is being attached to.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Method()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <V> Function<Attachable<V>,V>` | `create(Host hostVertexOrGraph)`
    `static Edge` | `createEdge(Attachable<Edge> attachableEdge, Graph hostGraph)`
    `static Edge` | `createEdge(Attachable<Edge> attachableEdge, Vertex hostVertex)`
    `static Property` | `createProperty(Attachable<Property> attachableProperty, Graph hostGraph)`
    `static Property` | `createProperty(Attachable<Property> attachableProperty, Vertex hostVertex)`
    `static Vertex` | `createVertex(Attachable<Vertex> attachableVertex, Graph hostGraph)`
    `static Vertex` | `createVertex(Attachable<Vertex> attachableVertex, Vertex hostVertex)`
    `static VertexProperty` | `createVertexProperty(Attachable<VertexProperty> attachableVertexProperty, Graph hostGraph)`
    `static VertexProperty` | `createVertexProperty(Attachable<VertexProperty> attachableVertexProperty, Vertex hostVertex)`
    `static <V> Function<Attachable<V>,V>` | `get(Host hostVertexOrGraph)`
    `static Optional<Edge>` | `getEdge(Attachable<Edge> attachableEdge, Graph hostGraph)`
    `static Optional<Edge>` | `getEdge(Attachable<Edge> attachableEdge, Vertex hostVertex)`
    `static <V> Function<Attachable<V>,V>` | `getOrCreate(Host hostVertexOrGraph)`
    `static Optional<Property>` | `getProperty(Attachable<Property> attachableProperty, Graph hostGraph)`
    `static Optional<Property>` | `getProperty(Attachable<Property> attachableProperty, Vertex hostVertex)`
    `static Optional<Vertex>` | `getVertex(Attachable<Vertex> attachableVertex, Graph hostGraph)`
    `static Optional<Vertex>` | `getVertex(Attachable<Vertex> attachableVertex, Vertex hostVertex)`
    `static Optional<VertexProperty>` | `getVertexProperty(Attachable<VertexProperty> attachableVertexProperty, Graph hostGraph)`
    `static Optional<VertexProperty>` | `getVertexProperty(Attachable<VertexProperty> attachableVertexProperty, Vertex hostVertex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Method

          public Method()

  - ### Method Detail

    - #### get

          public static <V> Function<Attachable<V>,V> get(Host hostVertexOrGraph)

    - #### getOrCreate

          public static <V> Function<Attachable<V>,V> getOrCreate(Host hostVertexOrGraph)

    - #### create

          public static <V> Function<Attachable<V>,V> create(Host hostVertexOrGraph)

    - #### getVertex

          public static Optional<Vertex> getVertex(Attachable<Vertex> attachableVertex,
                                                   Graph hostGraph)

    - #### getVertex

          public static Optional<Vertex> getVertex(Attachable<Vertex> attachableVertex,
                                                   Vertex hostVertex)

    - #### getEdge

          public static Optional<Edge> getEdge(Attachable<Edge> attachableEdge,
                                               Graph hostGraph)

    - #### getEdge

          public static Optional<Edge> getEdge(Attachable<Edge> attachableEdge,
                                               Vertex hostVertex)

    - #### getVertexProperty

          public static Optional<VertexProperty> getVertexProperty(Attachable<VertexProperty> attachableVertexProperty,
                                                                   Graph hostGraph)

    - #### getVertexProperty

          public static Optional<VertexProperty> getVertexProperty(Attachable<VertexProperty> attachableVertexProperty,
                                                                   Vertex hostVertex)

    - #### getProperty

          public static Optional<Property> getProperty(Attachable<Property> attachableProperty,
                                                       Graph hostGraph)

    - #### getProperty

          public static Optional<Property> getProperty(Attachable<Property> attachableProperty,
                                                       Vertex hostVertex)

    - #### createVertex

          public static Vertex createVertex(Attachable<Vertex> attachableVertex,
                                            Graph hostGraph)

    - #### createVertex

          public static Vertex createVertex(Attachable<Vertex> attachableVertex,
                                            Vertex hostVertex)

    - #### createEdge

          public static Edge createEdge(Attachable<Edge> attachableEdge,
                                        Graph hostGraph)

    - #### createEdge

          public static Edge createEdge(Attachable<Edge> attachableEdge,
                                        Vertex hostVertex)

    - #### createVertexProperty

          public static VertexProperty createVertexProperty(Attachable<VertexProperty> attachableVertexProperty,
                                                            Graph hostGraph)

    - #### createVertexProperty

          public static VertexProperty createVertexProperty(Attachable<VertexProperty> attachableVertexProperty,
                                                            Vertex hostVertex)

    - #### createProperty

          public static Property createProperty(Attachable<Property> attachableProperty,
                                                Graph hostGraph)

    - #### createProperty

          public static Property createProperty(Attachable<Property> attachableProperty,
                                                Vertex hostVertex)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.